


ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


NAME
       ASDatabaseEntry - to be used in entry of AfterStep database
        Database  Gravity style definition





CONFIGURATION OPTIONS
        AllowCover

              Specifies  that other windows should be allowed to cover the app
              window. Turns off AvoidCover . This is the default setting.



        AvoidCover

              Specifies that other windows should not be allowed to cover  the
              app  window.  Prevents other windows from moving in front of (or
              behind) the app window. If SmartPlacement is  specified  in  the
              feel  file,  windows  will not be allowed to automatically place
              themselves over the app window, if  possible.  AllowCover  turns
              off AvoidCover . The default is AllowCover .



       BorderWidth width

              Specifying  this in conjunction with NoHandles , sets the border
              width of a window to be width . A  width  of0causes  no  border.
              This  option  has  no  affect  if  not used with NoHandles . The
              default is1implicitly for all windows.



       Button number

              Specifing a number to each use of Button will cause that buttons
              number  to  be  displayed in the title bar. Number should be the
              same as used in TitleButtons setting. The default is to  display
              all  buttons defined in the look.name file if the following con-
              ditions are met: there is a valid bitmap or pixmap specified for
              the  button  in  the  look.name file; nd the button has not been
              forced not to display by the use of Motif WM hints specified  by
              application.



        CirculateHit

              Enables   window   to   be  switched  to  using  ChangeWindowUp,
              ChangeWindowDown or Warp (also  called  alt-tabbing)  functions.
              This is the default implicitly for all windows.



Feb 23 2011             AfterStep v.2.2.9                       1





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


        CirculateSkip

              Causes  windows  to  be  skipped  over  when the ChangeWindowUp,
              ChangeWindowDown or Warp (also called alt-tabbing) functions are
              invoked. This is disabled by default implicitly for all windows.



       DefaultGeometry WIDTHxHEIGHT+X+Y

              This will force AfterStep to replace  parts  of  window  initial
              placement with predefined values. For example :

              Style "*mozilla*" DefaultGeometry 1024x500

              will  force  mozilla windows (or any windows that have "mozilla"
              in its name ) to have initial size 1024x500.

              Note that in case of  mozilla  its  usefull  to  define  several
              Styles  so  that you will get different geometries for different
              dialog boxes, such as search/download/ etc



        Focus  This will set the window to accept  input  focus.  The  is  the
              default for all windows.



       FocusOnMap

              Client  window  will  be focused when it is mapped even if it is
              not directly under mouse pointer.



       FocusStyle [ style ]

              Specifies a MyStyle to be used for this window when it  has  the
              keyboard focus. If style is unspecified, the default focus style
              will be used instead (see FWindowStyle , below).



       Frame "frame_name"

              Enables "frame_name" to be used for decoration of this window.



       Fullscreen

              Makes window Fullscreen on startup.




Feb 23 2011             AfterStep v.2.2.9                       2





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


       HandleWidth width

              Specifies the width of the resize handles  on  the  The  default
              width is8pixels.



        Handles

              Specifies that the app window will display the "low bar" decora-
              tion. This is the default for all windows.



       HonorConfig

              Forces AfterStep to  honor  a  client's  request  to  reposition
              itself  after  its  window  has been mapped. This is a dangerous
              behavior as clients do not have a reliable  way  of  determining
              the  best  position for themselves. Window positioning should be
              left to AfterStep as it knows better. Opposite of  IgnoreConfig.

              See Also: IgnoreConfig.



       HonorExtWMHints

              Forces  AfterStep  to  use extended window management hints that
              the client sets on its windows. These generally  include  window
              type (dialog, desktop, menu, etc), window state (minimized, max-
              imized, shaded, etc.), desktop, icon and additional  data.  Note
              that these window-type hints cause AfterStep to apply one of its
              policies, which may result in missing decorations, a non-default
              layer, and other potential irregularities. The opposite is NoEx-
              tWMHints.

              See Also: NoExtWMHints.



       HonorGnomeHints

              Forces AfterStep to use the desktop, layer, and other hints data
              that  a  client sets on its window using the old, outdated GNOME
              window management hints. The opposite is NoGnomeHints.

              See Also: NoGnomeHints.



       HonorGroupHints

              AfterStep will utilize a group hint set on the client's  window.



Feb 23 2011             AfterStep v.2.2.9                       3





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


              This  will make AfterStep apply group management policies to all
              windows of the client. For example: when one window in the group
              is  moved to a different desktop, all other windows will follow.
              Group members will usually be stacked together and  utilize  the
              layer  of  the  member  with  the highest layer within the given
              group. Transient windows belonging to one of  the  members  will
              overlay all of the members. The opposite is NoGroupHints.

              See Also: NoGroupHints.



       HonorKDEHints

              AfterStep will honor KDE specific hints set on the client's win-
              dow. This is mainly used for status bar-type  applications.  The
              opposite is NoKDEHints.

              See Also: NoKDEHints.



       HonorMotifHints

              AfterStep  will  honor  Motif specific hints set on the client's
              window. This includes any decorations  that  need  to  be  drawn
              around  it  and  any  functions (minimize/maximize/re-size/move)
              that it supports. The opposite is NoMotifHints.

              See Also: NoMotifHints.



       HonorPPosition

              Forces AfterStep to use PPosition hint for this  window.  PPosi-
              tion  hint  normally  means  that application has determined its
              position due to some of  its  own  configuration  settings,  and
              position has not been explicitely requested on the command line.
              This setting overrides NoPPosition setting in feel file.



       HonorRestack

              FIXME: add proper description here.



       HonorTransientHints

              Will force AfterStep to use transient hint, effectively  attach-
              ing window to its parent( placing it on the same layer , etc. )




Feb 23 2011             AfterStep v.2.2.9                       4





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


       HonorXResources

              Forces AfterStep to respect XResources database when it comes to
              window placement.



        HorizontalTitle

              Causes the window titlebar to be placed horizontally on  top  of
              the window. This is the implicit default for all windows.



       Icon filename

              Specifies  the  [filename] to use when iconified, overriding any
              icon the app itself might provide. NoIcon turns  this  off.  The
              default  is to use the app's supplied icon or the icon specified
              with the WM_NAME of "Unknown" or "*".



        IconTitle

              Specifies that a title should be displayed  under  an  iconified
              app. The colors used are the ForeColor and BackColor of the But-
              tonTitleFocus in the look.name file. Note: less  space  is  left
              for  the  app's  icon,  so it will be resized acordingly. Only a
              portion of the icon title will be displayed until the icon gains
              focus,  and  then the title "box" will expand to reveal the win-
              dow's entire name.



       IgnoreConfig

              AfterStep will ignore a client's attempts to reposition its win-
              dow  after  it has been mapped on the screen. Opposite of Honor-
              Config.

              See Also: HonorConfig.



       IgnoreRestack

              FIXME: add proper description here.



       Layer layer

              Specifies what layer this window should be in. layer may be  any



Feb 23 2011             AfterStep v.2.2.9                       5





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


              integer  (positive,  negative,  or  zero).  Windows  are grouped
              according to their layer, and may not  be  moved  out  of  their
              layer.  Windows  in higher layers will be above windows in lower
              layers. By default, windows are placed in layer  0.  StaysOnBack
              corresponds  toLayer -1, and StaysOnTop corresponds to Layer 1 .



       LongLiving

              A window will stay on the screen long enough to  allow  applica-
              tion  of different placement policies, such as AvoidCover. Oppo-
              site of ShortLiving.

              See Also: ShortLiving.



       NoButton number

              Specifing a number to each use of NoButton will cause that  but-
              tons  be hidden from the title bar. Number should be the same as
              used in TitleButtons setting. The default is to display all but-
              tons  defined  in the look.name file if the following conditions
              are met: there is a valid bitmap or  pixmap  specified  for  the
              button in the look.name file; and the button has not been forced
              not to display by the use of Motif WM hints specified by  appli-
              cation.



       NoExtWMHints

              AfterStep will not use extended window management hints that the
              client sets on its windows. Opposite of HonorExtWMHints.

              See Also: HonorExtWMHints.



        NoFocus

              This will set the window to refuse any input focus.  Focus  will
              turn this setting off. This is off by default.



       NoFocusOnMap

              AfterStep will not yield a focus to the new window being mapped.
              This prevents things like passwords typed into popped-up IM win-
              dows. Opposite of FocusOnMap.

              See Also: FocusOnMap.



Feb 23 2011             AfterStep v.2.2.9                       6





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


       NoFrame

              Disables frame decorations for this window.



       NoFullscreen

              Prevents windows from starting up as Fullscreen.



       NoGnomeHints

              Causes AfterStep to disregard layer properties and several obso-
              lete properties for a window. Opposite of HonorGnomeHints.

              See Also: HonorGnomeHints.



       NoGroupHints

              AfterStep will not utilize a group hint set on the client's win-
              dow. Opposite of HonorGroupHints.

              See Also: HonorGroupHints.



        NoHandles

              Specifies  that  the  app  window will not display the "low bar"
              decoration. This also removes the ability to resize windows with
              the resize handles on the "low bar" ends. The default is Handles
              implicitly for all windows.



        NoIcon

              Disables icon from being visible when window is iconifyed.  That
              causes  window  to  simply  disappear when the app is iconified.
              Refer to the EXAMPLES below for a method to make all icons  dis-
              appear.



       NoIconTitle

              Specifies  that  no title should be displayed under an iconified
              app.





Feb 23 2011             AfterStep v.2.2.9                       7





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


       NoKDEHints

              AfterStep will not honor KDE specific hints set on the  client's
              window. Opposite of HonorKDEHints.

              See Also: HonorKDEHints.



       NoMotifHints

              Forces AfterStep to disregard Motif decoration and functionality
              hints.



       NoPPosition

              Species that afterstep should ignore the PPosition field for the
              specified  window, in other words, the window can't choose where
              to place itself. Adherence to the PPosition  field  is  required
              for some applications.



        NoTitle

              Specifies  that  afterstep should not put a title bar decoration
              on the app. The is off by default.



       NoTransientHints

              Ignore transient hint - window will be treated as an independent
              window.



       NoXResources

              Forces  AfterStep to disregard XResources database when it comes
              to window placement.



       OverrideGravity NorthWest | North | NorthEast | West | Center | East |
       South- West | South | SouthEast | Static

              Some applications (notably xv) have been designed without  read-
              ing  widely  accepted  and used standards such as ICCCM. Gravity
              value is one of the hints that often get misplaced  by  applica-
              tions.  As  the  result  may exhibit wierd placement behaviour -
              such as windows moving to the top-left with each resize or  file



Feb 23 2011             AfterStep v.2.2.9                       8





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


              opened.  Try  specifying  StaticGravity for such apps. Also some
              applications do not set gravity correctly. For example you start
              an application with geometry +10-10 which means SouthWestGravity
              and that should fix position of left and  bottom  sides  of  the
              window.  But  window set its gravity to NorthWestGravity instead
              and as the result window gets placed further down to the  bottom
              by  the  size  of  the framne decorations. In this cases you can
              specify whatever gravity you want and thus override those stupid
              apps.

              See Also: Gravity type specification for further details.



       ShortLiving

              ShortLiving  windows  are always placed automatically and do not
              affect AvoidCover stuff.



        Slippery

              This is the default setting - windows stay on the  desktop  they
              were  placed  on,  and  do not "follow" viewport, when desk/view
              changes.



        StartIconic

              Causes the app to start and immediately iconify  itself  to  the
              IconBox . The default is StartNormal implicitly for all windows.



        StartNormal

              Disables the effects of StartIconic setting - window will not be
              iconifyed upon startup. This is the default



        StartsAnyWhere

              Upon  startup  window  will  be placed onto the current desktop.
              This is the implicit default setting for all windows.



       StartsOnDesk number

              Causes the app window to start on the specified desk number.  If
              SmartPlacement  is  used  in the feel.name file, the window will



Feb 23 2011             AfterStep v.2.2.9                       9





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


              appear on the specified desk number, but will  require  interac-
              tion  to  place it; unless it was called with geometry settings.
              Specific Viewports are also allowed, refer to  them  below.  The
              default is StartsAnyWhere implicitly for all windows.



        StaysOnBack

              Places  window  in  Layer -1, essentially forcing it to go under
              most other windows. Default Layer is 0.

               NOTE: deprecated, use Layer instead.



        StaysOnTop | StaysPut | StaysOnBack

              Places window in Layer 1, making it go on TOP of most other win-
              dows. Default Layer is 0.

               NOTE: deprecated, use Layer instead.



        StaysPut

              Places  window in default Layer 0, disabling effects of StaysOn-
              Top , StaysOnBack and Layer .

               NOTE: deprecated, use Layer instead.



        Sticky

              Causes the app window to stick to it's location for each desktop
              that  becomes  current,  allowing  the  window to "follow" while
              changings desks/ views. The default is Slippery  implicitly  for
              all windows.



       StickyStyle style

              Specifies  a MyStyle to be used for this window when it does not
              have the keyboard focus, and is sticky. If style is unspecified,
              the  default sticky style will be used instead (see SWindowStyle
              , below).



        Title  Specifies that afterstep should put a title bar  decoration  on
              the app. This the default.



Feb 23 2011             AfterStep v.2.2.9                      10





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


       UnfocusStyle style

              Specifies  a MyStyle to be used for this window when it does not
              have the keyboard focus, and is not sticky. If style is unspeci-
              fied,  the default unfocus style will be used instead (see UWin-
              dowStyle , below).



       UseAnyViewport

              AfterStep will treat an application as if it is relative to  the
              desktop  origin, when that application specifies its geometry at
              the time of mapping.

              See Also: UseCurrentViewport.



       UseCurrentViewport

              AfterStep will treat an application as if it is relative to  the
              current  viewport's  origin, when that application specifies its
              geometry at the time of mapping.

              See Also: UseAnyViewport.



        VerticalTitle

              Causes the window titlebar to be  placed  vertically  along  the
              left side of the window, instead of horizontally across the top.



       ViewportX number

              Specifies the coordinate along the x-axis that afterstep  should
              place  a  window.  This  allows opening a window on a particular
              desk and view. number is measured in pixels and the screen reso-
              lution  is  the outline of a desk's particular boundaries; where
              it will then place it upon another desk or view.  Combined  with
              ViewportY  ,  a window can be given geometry by afterstep and be
              placed in the desired desktop and view.



       ViewportY number

              Specifies the coordinate along the y-axis that afterstep  should
              place  a  window.  This  allows opening a window on a particular
              desk and view. number is measured in pixels and the screen reso-
              lution  is  the outline of a desk's particular boundaries; where



Feb 23 2011             AfterStep v.2.2.9                      11





ASDatabaseEntry(1) AfterStep X11 window managerASDatabaseEntry(1)


              it will then place it upon another desk or view.  Combined  with
              ViewportX  ,  a window can be given geometry by afterstep and be
              placed in the desired desktop and view.



       WindowBox "window_box_name"

              Requires AfterStep to use the specified WindowBox for  placement
              of this window.



        WindowListHit

              Specifies  that  the app name will be shown on both the internal
              Window List (default click of mouse buttons 2 & 3  on  the  root
              window),  and  the  WinList(1)  module  bar. This is the default
              implicitly for all windows.



        WindowListSkip

              Specifies that the app name will be omitted from both the inter-
              nal  Window  List  (default  click of mouse buttons 2 & 3 on the
              root window), and the WinList(1) module bar. The default is Win-
              dowListHit implicitly for all windows.



       WindowOpacity

              FIXME: add proper description here.























Feb 23 2011             AfterStep v.2.2.9                      12


